WP1SuppressPageCharacteristicsGroup Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WP1SuppressPageCharacteristicsGroup Class Reference

`#include <WP1SuppressPageCharacteristicsGroup.h>`

Inheritance diagram for WP1SuppressPageCharacteristicsGroup:

## Public Member Functions
| WP1SuppressPageCharacteristicsGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1SuppressPageCharacteristicsGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
| ~WP1FixedLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes
unsigned char | m_suppressCode

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP1SuppressPageCharacteristicsGroup()

WP1SuppressPageCharacteristicsGroup::WP1SuppressPageCharacteristicsGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

## ◆ ~WP1SuppressPageCharacteristicsGroup()

WP1SuppressPageCharacteristicsGroup::~WP1SuppressPageCharacteristicsGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP1SuppressPageCharacteristicsGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Reimplemented from WP1FixedLengthGroup.

## ◆ parse()

void WP1SuppressPageCharacteristicsGroup::parse | ( | WP1Listener * | listener | ) |
| overridevirtual

Implements WP1Part.

## Member Data Documentation

## ◆ m_suppressCode

unsigned char WP1SuppressPageCharacteristicsGroup::m_suppressCode
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP1SuppressPageCharacteristicsGroup.h
- WP1SuppressPageCharacteristicsGroup.cpp